.navbar {
    display: flex;
    flex-grow: 1;
    flex-basis: 0;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

* {
	box-sizing: border-box;
	font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
	font-size: 22px;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body {
    min-width: 960px;
    position: relative;
    min-height: 100%;
    color: #555555;
    background-color: #FFFFFF;
    margin: 0;
    padding-bottom: 100px;
}



ul.headerlinks {
    list-style-type: none;
    
}
li.navbarli {
    display:inline;
}

a:-webkit-any-link {
    
    cursor: pointer;
    
}

a.navbarlink {
    text-decoration: none;
    color:#555555;
    padding: 10px 10px;
    margin: 0px 10px;
    background-color:white;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
    
}

#uploadform {
    padding: 1%;
}

a.navbarlink:hover {
    border-bottom:solid;
    border-color: red;
}

a.navbarlink:active {
    border: solid;
    border-color: rgb(255, 167, 167);
    border-width: 4px;
    border-radius: 5px;
    background-color: firebrick;
    color: white;
}
 a.imageupload {
    border-bottom: double;
    border-color: indianred;
    border-width: 6px;
 }
 a.misclink {
    position: relative;
    left: 200px;
 }
input#fname {
    border-color: rgb(255, 139, 139);
    background-color:aquamarine;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;

}

input#fname:hover {
    border-color:aquamarine;
    background-color: rgb(152, 204, 255);
}

input#fname:focus {
    border-color: aquamarine;
    background-color: rgb(152, 204, 255);
}

input#femail {
    border-color: rgb(255, 139, 139);
    background-color:aquamarine;
    transition: border-color 1s ease;
    transition: background-color 1s ease;
    position:relative;
    left: 45px;
}

input#femail:hover {
    border-color:aquamarine;
    background-color: rgb(152, 204, 255);
}

input#femail:focus {
    border-color: aquamarine;
    background-color: rgb(152, 204, 255);
}

textarea#textbox {
    border-color: rgb(255, 139, 139);
    background-color:aquamarine;
    transition: border-color 1s ease;
    transition: background-color 1s ease;
    margin: 10px;
    margin-left: 20px;
    width: 75%;
    resize: vertical;
}

textarea#textbox:hover {
    border-color:aquamarine;
    background-color: rgb(152, 204, 255);
}

textarea#textbox:focus {
    border-color: aquamarine;
    background-color: rgb(152, 204, 255);
}

input::file-selector-button {
    width: 45%;
    border-color:rgb(255, 139, 139);
    border-radius: 6px;
    background-color:aquamarine;
    font-size: 24px;
    cursor: pointer;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}

input::file-selector-button:hover {
    border-color: aquamarine;
    background-color: rgb(152, 204, 255);
    font-size: 26px;
}

input#submittedfile {
    padding: 10px;
    width: 47%;
    /* margin-left: 0%; */
    float: right;
    border-color:rgb(255, 139, 139);
    border-radius: 6px;
    background-color:aquamarine;
    font-size: 18px;
    cursor: pointer;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}

input#submittedfile:hover {
    border-color: aquamarine;
    background-color: rgb(152, 204, 255);
    font-size: 20px;
}

label#commentsection {
    position:relative;
    bottom: 0px;
}

h1.pageintro {
    position: absolute;
    top: -20px;
    left: 50px;
    color: #394352;
    font-size: 24px;
    padding: 24px 0px;
    margin-left: 40px;
}

div#laser-container {
    width: 70%;
    max-width: 960px;
    margin: auto;
    margin-top: 50px;
    border-style: solid;
    border-width: 3px;
    border-color: firebrick;
    border-radius: 5px;
}

h1#laser-h1 {
    text-align: center;
    font-size:larger;
    margin: 25px;
}

label {
    margin-left: 2%;
    margin: 2%;
}
 
input {
    width: 60%;
    margin: 1%;
}

textarea {
    width: 60%;
    height: 100px;
    margin: 1%;
    overflow: scroll;
}
div#buttonscunt {
    width: 100%;
    margin:auto;
}
button#entercrop {
    width: 47%;
    margin: 1%;
    padding: 10px;
    border-color: rgb(255, 139, 139);
    border-radius: 6px;
    background-color: aquamarine;
    font-size: 18px;
    cursor: pointer;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
button#entercrop:hover {
    border-color: aquamarine;
    background-color: rgb(152, 204, 255);
    font-size: 20px;
}
div#chosenImage {
    height: 100%;
    width: 100%;
    
    
}
div.link-icons {
    position: absolute;
    margin-right: 1%;
    top: 23px;
    right: 1%;
}
details {
    margin:auto;
    width: 70%;
}
details > summary {
    cursor: pointer;
    border-radius: 6px;
    
}
details > p {
    padding: 5px;
    margin-top: 1px;
    border: solid;
    border-width: 2px;
    border-radius: 6px;
    
}
span#cart-icon {
    display: inline-block;
    text-align: center;
    background-color: #63748e;
    border-radius: 50%;
    color: #FFFFFF;
    font-size: 24px;
    line-height: 24px;
    width: 24px;
    height: 24px;
    font-weight: bold;
    position: absolute;
    top: -24px;
    right: -5px;
}
img#imagePreview {
    height: 95%;
    width: 95%;
    margin: auto;
    display: block;
    object-fit: contain;
}
img#imagePreviewGrey {
    height: 95%;
    width: 95%;
    max-width: 100%;
    margin: auto;
    display: block;
    object-fit: contain;
    filter:grayscale(100%) contrast(100%) brightness(100%);
}
canvas#cropResultCanvas {
    display:block;
    margin: auto;
}
label#woodtype-label-id {
    
}
select#woodtype {
    
}
input#contrastRangeID {
    width: 75%;
}
input#brightnessRangeID {
    width: 75%;
}
p.foot{
    text-align: center;
}